## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanNullOutputStream Class Reference

Inheritance diagram for XalanNullOutputStream:

[legend]
Collaboration diagram for XalanNullOutputStream:

[legend]
List of all members.

## Public Member Functions

- XalanNullOutputStream (MemoryManagerType &theManager)
- virtual ~XalanNullOutputStream ()

## Protected Member Functions

- virtual void writeData (const char *theBuffer, size_type theBufferLength)
    Write the data in the buffer.
- virtual void doFlush ()
    Flush the stream.

## Constructor & Destructor Documentation

XalanNullOutputStream::XalanNullOutputStream | ( | MemoryManagerType & | theManager | ) | `[explicit]`

virtual XalanNullOutputStream::~XalanNullOutputStream | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void XalanNullOutputStream::doFlush | ( |  | ) | `[protected, virtual]`

| Flush the stream. Implements XalanOutputStream.

virtual void XalanNullOutputStream::writeData | ( | const char * | theBuffer,
|  | size_type | theBufferLength
| ) | `[protected, virtual]`

  | Write the data in the buffer. Parameters:
  theBuffer | The data to write
  theBufferLength | The length of theBuffer.
Implements XalanOutputStream.

The documentation for this class was generated from the following file:

- XalanNullOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.